Bug 138630 - [Update]science/py-scipy:update to 0.7.1
Summary: [Update]science/py-scipy:update to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-08 13:20 UTC by wenheping
Modified: 2009-09-19 14:44 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2009-09-08 13:20 UTC, wenheping
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2009-09-08 13:20:01 UTC
1 update to 0.7.1 from 0.7.0
2 change the dependence to fftw3 from fftw2
3 remove USE_WX=2.4-2.6

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-09-08 13:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-09-08 13:20:12 UTC
Maintainer of science/py-scipy,

Please note that PR ports/138630 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138630

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-09-08 13:20:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2009-09-12 10:17:57 UTC
Responsible Changed
From-To: miwi->wen

submitter is now committer
Comment 5 Li-Lun Wang 2009-09-15 04:05:42 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I approve this patch with minor change.  scipy requires python 2.4+.
We should use USE_PYTHON=2.4+ instead of USE_PYTHON=yes.

- -- llwang
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.12 (FreeBSD)

iD8DBQFKrwSCCQM7t5B2mhARAr7TAKCBHPTZfigK6lvUamPKyN3S2GlanQCfSEA4
RMW6cJTGie1iGWL1jkm7dd4=
=ikBs
-----END PGP SIGNATURE-----
Comment 6 dfilter service freebsd_committer 2009-09-19 14:34:54 UTC
wen         2009-09-19 13:34:45 UTC

  FreeBSD ports repository

  Modified files:
    science/py-scipy     Makefile distinfo 
  Log:
  - Update to 0.7.1
  - Change the dependence to fftw3 from fftw2
  - Remove the unnecessary dependence
  
  PR:     ports/138630
  Submitted by:   Wen Heping<wenheping@gmail.com>
  Approved by:    maintainer,     miwi(mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.25      +3 -6      ports/science/py-scipy/Makefile
  1.8       +3 -3      ports/science/py-scipy/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2009-09-19 14:44:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!